<!--<?xml version="1.0" encoding="utf-8" ?>-->
<!--<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >-->
<!--<mapper namespace="com.backendsys.mapper.System.SysUserRoleModuleMapper">-->

<!--    &lt;!&ndash;, module_code&ndash;&gt;-->
<!--    <sql id="includeUserRoleModule">-->
<!--        id, COALESCE(parent_id, '') AS parent_id, module_name-->
<!--    </sql>-->

<!--    <resultMap id="resultMapUserRoleModuleList" type="java.util.LinkedHashMap">-->
<!--        <id property="id" column="id" jdbcType="BIGINT" />-->
<!--        <result property="parent_id" column="parent_id" />-->
<!--        <result property="module_name" column="module_name" />-->
<!--        &lt;!&ndash;<result property="module_code" column="module_code" />&ndash;&gt;-->
<!--    </resultMap>-->

<!--    &lt;!&ndash; 查询 用户角色列表 &ndash;&gt;-->
<!--    <select id="queryUserRoleModuleList" resultMap="resultMapUserRoleModuleList">-->
<!--        SELECT <include refid="includeUserRoleModule" />-->
<!--        FROM sys_user_role_module-->
<!--        ORDER BY sort ASC-->
<!--    </select>-->

<!--</mapper>-->